Loading...
Searching...
No Matches
QXmppDiscoveryIq::Item Class Reference

## Public Member Functions

| Item (const Item &)
| Default copy-constructor.
| Item (Item &&)
| Default move-constructor.
Item & | operator= (const Item &)
| Default assignment operator.
Item & | operator= (Item &&)
| Default move-assignment operator.
QString | jid () const
void | setJid (const QString &jid)
QString | name () const
void | setName (const QString &name)
QString | node () const
void | setNode (const QString &node)

## Detailed Description

Item represents a related XMPP entity that can be queried using XEP-0030: Service Discovery.

## Member Function Documentation

## jid()

QString QXmppDiscoveryIq::Item::jid | ( |  | ) | const

Returns the jid of the item.

## name()

QString QXmppDiscoveryIq::Item::name | ( |  | ) | const

Returns the items human-readable name.

## node()

QString QXmppDiscoveryIq::Item::node | ( |  | ) | const

Returns a special service discovery node.

## setJid()

void QXmppDiscoveryIq::Item::setJid | ( | const QString & | jid | ) |

Sets the jid of the item.

## setName()

void QXmppDiscoveryIq::Item::setName | ( | const QString & | name | ) |

Sets the items human-readable name.

## setNode()

void QXmppDiscoveryIq::Item::setNode | ( | const QString & | node | ) |

Sets a special service discovery node.

The documentation for this class was generated from the following files:

- QXmppDiscoveryIq.h
- QXmppDiscoveryIq.cpp